Public download gateway for an opaque share ID.
GET
/{opaque-id}
const url = 'https://s.share2.us/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://s.share2.us/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”opaque-id
required
string
Responses
Section titled “Responses”Share landing metadata or HTML page.
object
public_id
required
string
filename
required
string
size_bytes
required
integer format: int64
state
required
string
password_required
boolean
download_url
string | null format: uri
expires_at
required
string format: date-time
Example
{ "state": "created"}string
Redirect to a short-lived object-specific download URL.
Headers
Section titled “Headers”Location
string format: uri
default
Section titled “default”Standard error envelope.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "quota_exceeded" }}